Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
Mercury.Exceptions.InvalidSymbolException Class Reference

An exception thrown when attempting to create an invalid Mercury.Syntax.Symbol instance. More...

Inheritance diagram for Mercury.Exceptions.InvalidSymbolException:

## Public Member Functions
| InvalidSymbolException (Symbol symbol)
| Initializes a new instance of the InvalidSymbolException class. More...
Public Member Functions inherited from Mercury.Exceptions.SyntaxException
| SyntaxException ()
| Initializes a new instance of the SyntaxException class. More...
| SyntaxException (string message)
| Initializes a new instance of the SyntaxException class with a message that describes the error. More...
| SyntaxException (string message, Exception inner)
| Initializes a new instance of the SyntaxException class. More...
Public Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException ()
| Initializes a new instance of the MercuryException class. More...
| MercuryException (string message)
| Initializes a new instance of the MercuryException class with a specified error message. More...
| MercuryException (string message, Exception inner)
| Initializes a new instance of the MercuryException class with a specified error message and an exception that caused the problem. More...

## Additional Inherited Members
Protected Member Functions inherited from Mercury.Exceptions.SyntaxException
| SyntaxException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the SyntaxException class. More...
Protected Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the MercuryException class with serialized data. More...

## Detailed Description

An exception thrown when attempting to create an invalid Mercury.Syntax.Symbol instance.

Definition at line 63 of file SyntaxExceptions.cs.

## Constructor & Destructor Documentation

Mercury.Exceptions.InvalidSymbolException.InvalidSymbolException | ( | Symbol | symbol | ) |

Initializes a new instance of the InvalidSymbolException class.

Parameters

  symbol | The invalid symbol.

Definition at line 70 of file SyntaxExceptions.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Exceptions/SyntaxExceptions.cs